# -*- coding: utf-8 -*-
# Generated by Django 1.11.12 on 2018-04-26 11:49
from __future__ import unicode_literals

import ckeditor.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('cms', '0020_old_tree_cleanup'),
    ]

    operations = [
        migrations.CreateModel(
            name='AccordionPluginModel',
            fields=[
                (
                    'cmsplugin_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name=
                        'djangocms_fomantic_ui_accordionpluginmodel',
                        serialize=False,
                        to='cms.CMSPlugin'
                    )
                ),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin', ),
        ),
        migrations.CreateModel(
            name='AccordionSection',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID'
                    )
                ),
                (
                    'title',
                    models.CharField(max_length=100, verbose_name='name')
                ),
                (
                    'content',
                    ckeditor.fields.RichTextField(
                        blank=True, verbose_name='content'
                    )
                ),
            ],
        ),
        migrations.CreateModel(
            name='AccordionSectionluginModel',
            fields=[
                (
                    'cmsplugin_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name=
                        'djangocms_fomantic_ui_accordionsectionluginmodel',
                        serialize=False,
                        to='cms.CMSPlugin'
                    )
                ),
                (
                    'section',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to='djangocms_fomantic_ui.AccordionSection'
                    )
                ),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin', ),
        ),
        migrations.CreateModel(
            name='Card',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID'
                    )
                ),
                ('name', models.CharField(max_length=100, verbose_name='name')),
                (
                    'content',
                    ckeditor.fields.RichTextField(
                        blank=True, verbose_name='content'
                    )
                ),
            ],
        ),
        migrations.CreateModel(
            name='CardPluginModel',
            fields=[
                (
                    'cmsplugin_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name='djangocms_fomantic_ui_cardpluginmodel',
                        serialize=False,
                        to='cms.CMSPlugin'
                    )
                ),
                (
                    'card',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to='djangocms_fomantic_ui.Card'
                    )
                ),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin', ),
        ),
        migrations.CreateModel(
            name='CardsContainerPluginModel',
            fields=[
                (
                    'cmsplugin_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name=
                        'djangocms_fomantic_ui_cardscontainerpluginmodel',
                        serialize=False,
                        to='cms.CMSPlugin'
                    )
                ),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin', ),
        ),
        migrations.CreateModel(
            name='Icon',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID'
                    )
                ),
                (
                    'name',
                    models.CharField(
                        help_text=
                        'See https://semantic-ui.com/elements/icon.html',
                        max_length=50,
                        verbose_name='Semantic UI icon name'
                    )
                ),
                (
                    'disabled',
                    models.BooleanField(default=False, verbose_name='disabled')
                ),
                (
                    'loading',
                    models.BooleanField(default=False, verbose_name='loading')
                ),
                (
                    'fitted',
                    models.BooleanField(default=False, verbose_name='fitted')
                ),
                (
                    'size',
                    models.CharField(
                        blank=True,
                        choices=[
                            ('mini', 'mini'), ('tiny', 'tiny'),
                            ('small', 'small'), ('', 'normal'),
                            ('large', 'large'), ('big', 'big'),
                            ('huge', 'huge'), ('massive', 'massive')
                        ],
                        default='',
                        max_length=7,
                        verbose_name='size'
                    )
                ),
                (
                    'link',
                    models.BooleanField(default=False, verbose_name='link')
                ),
                (
                    'flipped',
                    models.CharField(
                        blank=True,
                        choices=[
                            ('', 'none'), ('horizontally', 'horizontally'),
                            ('vertically', 'vertically')
                        ],
                        default='',
                        max_length=12,
                        verbose_name='flipped'
                    )
                ),
                (
                    'rotated',
                    models.CharField(
                        blank=True,
                        choices=[
                            ('', 'none'), ('clockwise', 'clockwise'),
                            ('counterclockwise', 'counterclockwise')
                        ],
                        default='',
                        max_length=17,
                        verbose_name='rotated'
                    )
                ),
                (
                    'circular',
                    models.BooleanField(default=False, verbose_name='circular')
                ),
                (
                    'bordered',
                    models.BooleanField(default=False, verbose_name='bordered')
                ),
                (
                    'colour',
                    models.CharField(
                        blank=True,
                        choices=[
                            ('', 'none'), ('red', 'red'), ('orange', 'orange'),
                            ('yellow', 'yellow'), ('olive', 'olive'),
                            ('green', 'green'), ('teal', 'teal'),
                            ('blue', 'blue'), ('violet', 'violet'),
                            ('purple', 'purple'), ('pink', 'pink'),
                            ('brown', 'brown'), ('grey', 'grey'),
                            ('black', 'black')
                        ],
                        default='',
                        max_length=6,
                        verbose_name='colour'
                    )
                ),
            ],
        ),
        migrations.CreateModel(
            name='IconPluginModel',
            fields=[
                (
                    'cmsplugin_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name='djangocms_fomantic_ui_iconpluginmodel',
                        serialize=False,
                        to='cms.CMSPlugin'
                    )
                ),
                (
                    'icon',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to='djangocms_fomantic_ui.Icon'
                    )
                ),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin', ),
        ),
        migrations.CreateModel(
            name='Step',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID'
                    )
                ),
                (
                    'icon_name',
                    models.CharField(
                        blank=True,
                        help_text=
                        'See https://semantic-ui.com/elements/icon.html',
                        max_length=50,
                        verbose_name='Semantic UI icon name'
                    )
                ),
                (
                    'title',
                    models.CharField(
                        blank=True, max_length=50, verbose_name='title'
                    )
                ),
                (
                    'description',
                    models.CharField(
                        blank=True, max_length=200, verbose_name='description'
                    )
                ),
                ('link', models.URLField(blank=True)),
                (
                    'active',
                    models.BooleanField(default=False, verbose_name='active')
                ),
                (
                    'completed',
                    models.BooleanField(
                        default=False, verbose_name='completed'
                    )
                ),
                (
                    'disabled',
                    models.BooleanField(default=False, verbose_name='disabled')
                ),
            ],
        ),
        migrations.CreateModel(
            name='StepModel',
            fields=[
                (
                    'cmsplugin_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name='djangocms_fomantic_ui_stepmodel',
                        serialize=False,
                        to='cms.CMSPlugin'
                    )
                ),
                (
                    'step',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to='djangocms_fomantic_ui.Step'
                    )
                ),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin', ),
        ),
        migrations.CreateModel(
            name='Steps_Container',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID'
                    )
                ),
                (
                    'ordered',
                    models.BooleanField(default=False, verbose_name='ordered')
                ),
                (
                    'vertical',
                    models.BooleanField(default=False, verbose_name='vertical')
                ),
                (
                    'stackable',
                    models.BooleanField(
                        default=False, verbose_name='stackable'
                    )
                ),
                (
                    'unstackable',
                    models.BooleanField(
                        default=False, verbose_name='unstackable'
                    )
                ),
                (
                    'fluid',
                    models.BooleanField(default=False, verbose_name='fluid')
                ),
                (
                    'attached',
                    models.CharField(
                        blank=True,
                        choices=[
                            ('', 'none'), ('top', 'top'), ('bottom', 'bottom')
                        ],
                        default='',
                        max_length=6
                    )
                ),
                (
                    'size',
                    models.CharField(
                        blank=True,
                        choices=[
                            ('mini', 'mini'), ('tiny', 'tiny'),
                            ('small', 'small'), ('', 'normal'),
                            ('large', 'large'), ('big', 'big'),
                            ('huge', 'huge'), ('massive', 'massive')
                        ],
                        default='',
                        max_length=7,
                        verbose_name='size'
                    )
                ),
            ],
        ),
        migrations.CreateModel(
            name='StepsContainerModel',
            fields=[
                (
                    'cmsplugin_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name='djangocms_fomantic_ui_stepscontainermodel',
                        serialize=False,
                        to='cms.CMSPlugin'
                    )
                ),
                (
                    'steps',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to='djangocms_fomantic_ui.Steps_Container'
                    )
                ),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin', ),
        ),
        migrations.CreateModel(
            name='Tab',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID'
                    )
                ),
                ('name', models.CharField(max_length=100, verbose_name='name')),
                (
                    'content',
                    ckeditor.fields.RichTextField(
                        blank=True, verbose_name='content'
                    )
                ),
            ],
        ),
        migrations.CreateModel(
            name='TabPluginModel',
            fields=[
                (
                    'cmsplugin_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name='djangocms_fomantic_ui_tabpluginmodel',
                        serialize=False,
                        to='cms.CMSPlugin'
                    )
                ),
                (
                    'tab',
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to='djangocms_fomantic_ui.Tab'
                    )
                ),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin', ),
        ),
        migrations.CreateModel(
            name='TabsContainerPluginModel',
            fields=[
                (
                    'cmsplugin_ptr',
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name=
                        'djangocms_fomantic_ui_tabscontainerpluginmodel',
                        serialize=False,
                        to='cms.CMSPlugin'
                    )
                ),
            ],
            options={
                'abstract': False,
            },
            bases=('cms.cmsplugin', ),
        ),
    ]
